# coding: utf-8
# frozen_string_literal: true

lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'yard/kramdown/markup/version'

Gem::Specification.new do |spec|
  spec.name = 'yard-kramdown-markup'
  spec.version = Yard::Kramdown::Markup::VERSION
  spec.authors = ['Alex Semyonov']
  spec.email = ['alex@semyonov.us']

  spec.summary = 'Kramdown ❤️ YARD'
  spec.description = 'Use Kramdown as Markdown markup provider with YARD'
  spec.homepage = 'https://gitlab.com/alsemyonov/yard-kramdown-markup'
  spec.license = 'MIT'

  spec.files = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir = 'exe'
  spec.executables = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'kramdown', '~> 1.14'
  spec.add_runtime_dependency 'yard', '~> 0.9'

  spec.add_development_dependency 'development-toolbox', '~> 0.7'
end
